[Distutils] Alternate static metadata PEP submission...

Fred Drake fdrake at gmail.com
Thu Oct 15 05:51:27 CEST 2009

On Wed, Oct 14, 2009 at 11:16 PM, David Cournapeau
<david at ar.media.kyoto-u.ac.jp> wrote:
> I don't think python 1.5 should be considered - I happen to contribute
> to scons, which is a build tool in python, and supports all python
> versions from 1.5.2: the 1.5 requirement is a real downside.

I hope 1.x isn't a target for any of these projects.  At this point,
I'd consider support for Python 2.4 to be quite generous on the part
of the developers.

And yes, I'm still using Python 2.4.  Thankfully I'm not developing or
maintaining anything on Python 2.3.  I would be surprised if there was
widespread interest in adopting new tools in projects using such old
versions; keep in mind that even if something stable is available in 6
months, it'll be a year or more before adoption becomes widespread


Fred L. Drake, Jr.    <fdrake at gmail.com>
"Chaos is the score upon which reality is written." --Henry Miller

More information about the Distutils-SIG mailing list